<?php
class UserCtrl
{
    private $usrmodel;
    private $view;
    private $con;

    public function __construct(Connection $con){
        $this->con = $con;
        $this->usrmodel = new UserModel($this->con);
        try{
            $action=$_REQUEST['action'];
            switch($action){

                // voir les listes privees 
                case 'voir_liste_priv': 
                    $this->loadListePriv();
                    break;
                
                // ajouter une liste privee
                case 'creer_liste_priv': 
                    $this->newListPrivate();
                    break;
                case 'deconnexion': 
                    $this->deconnexion();
                    break;
    
            }
        } catch(Exception $e) {
            require("../view/erreur.php");
        }
    }

    public function loadListePriv(){
        $name = "Liste privée";
        $taskmdl = new TaskModel($this->con);
        $TabTask = $taskmdl->loadPublicLists();
        var_dump($TabTask);
        // $TabList[] = new ListTask(0, "Projet PHP");
        // $TabList[] = new ListTask(1, "Projet Blazor");
        $TabListPriv = $this->taskmodel->loadPrivateLists($user);
        require("../view/liste.php");
    }

    public function newListPrivate(){
        $nom=$_POST['listeNom'];
        insertL(new ListTask(0, $nom, $_SESSION['login']));
        require("../view/liste.php");
    }

    public function deconnexion(){
        $usrmodel->deconnexion();
        
    }
}
?>
